libhttppp ..

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
libhttppp::HttpCookie Class Reference

## Classes
class | CookieData

## Public Member Functions
void | parse (libhttppp::HttpRequest &curreq)
void | setcookie (libhttppp::HttpResponse &curresp, const std::string &key, const std::string &value, const std::string &comment="", const std::string &domain="", int maxage=-1, const std::string &path="", bool secure=false, const std::string &version="1", const std::string &samesite="", bool httponly=false)
CookieData * | getfirstCookieData ()
CookieData * | getlastCookieData ()
CookieData * | addCookieData ()

The documentation for this class was generated from the following files:

- src/http.h
- src/http.cpp